%define		php_name	php%{?php_suffix}
%define		modname	huffman
%define		status		stable
Summary:	%{modname} - lossless compression algorithm
Summary(pl.UTF-8):	%{modname} - bezstratny algorytm kompresji
Name:		%{php_name}-pecl-%{modname}
Version:	0.2.0
Release:	7
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	e920b06610fb3b6ad1d79dc910962dc3
URL:		http://pecl.php.net/package/huffman/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Huffman compression belongs into a family of algorithms with a
variable codeword length. That means that individual symbols
(characters in a text file for instance) are replaced by bit sequences
that have a distinct length. So symbols that occur a lot in a file are
given a short sequence while other that are used seldom get a longer
bit sequence.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Kompresja Huffmana należy do grupy algorytmów o zmiennej długości
klucza. To oznacza, że pojedyncze symbole (np. znaki w pliku
tekstowym) są zastępowane sekwencjami bitów o różnej długości. W ten
sposób symbole, które często pojawiają się w pliku, są zastępowane
krótszą sekwencją, podczas gdy inne, rzadziej używane, otrzymują
dłuższą sekwencję bitową.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-huffman.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 3ef337d
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> 4088e8d
- release 7

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e72043d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9e0af5d
- converted to UTF-8

* Thu Dec 28 2006 Elan Ruusamäe <glen@pld-linux.org> 85da1a5
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 3108164
- rel 6 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 46f81aa
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> b399b40
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> a0f12e0
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 10c1c30
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 35c63da
- rel 2

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 1f203da
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 8144895
- superfluous BR libtool removed

* Sat Aug 28 2004 Adam Gołębiowski <adamg@pld-linux.org> e3123b1
- updated to 0.2.0

* Thu Aug 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 476665b
- pl fixes

* Wed Aug 25 2004 Adam Gołębiowski <adamg@pld-linux.org> ad3600a
- license fix
- pl description

* Wed Aug 25 2004 Adam Gołębiowski <adamg@pld-linux.org> 564a099
- new

